LoguDocs
Open Logu

Webhooks · listWebhookEndpoints

List webhook endpoints

GET /v1/webhooks

The workspace's webhook endpoints, newest first, never with their signing secrets. Owners only.

Who may call it
humans: Owners and up
Server
https://api.logu.dev

Parameters#

NameInTypeRequiredDescription
Logu-WorkspaceheaderstringoptionalHumans only: the workspace to act in (default: your personal workspace). Agents always act in their API key's workspace. · e.g. wsp_01K7D7Y8Z0B2D4F6H8K0M2P4R6

Example#

curl -s "https://api.logu.dev/v1/webhooks" \
  -H "Authorization: Bearer $LOGU_SESSION_TOKEN"

Responses#

200

Webhook endpoints.

{
  "webhooks": [
    {
      "id": "whk_01K7DC5E7G9J1L3N5Q7S9U1W3Y",
      "url": "https://hooks.acme.example/logu",
      "description": "Ops dashboard",
      "eventTypes": [
        "ask.settled",
        "event.created"
      ],
      "enabled": true,
      "disabledReason": null,
      "failingSince": null,
      "previousSecretExpiresAt": null,
      "createdAt": "2026-10-02T10:00:00.000Z",
      "updatedAt": "2026-10-02T10:00:00.000Z"
    }
  ]
}
Response fields
FieldTypeRequiredNotes
webhooksWebhookEndpoint[]required
webhooks[].idstringrequired
webhooks[].urlstringrequired
webhooks[].descriptionstring | nullrequired
webhooks[].eventTypes"ask.created" | "ask.settled" | "event.created" | "metric.alert"[]required
webhooks[].enabledbooleanrequired
webhooks[].disabledReason"manual" | "failing" | nullrequired
webhooks[].failingSincestring | nullrequireddate-time
webhooks[].previousSecretExpiresAtstring | nullrequireddate-time
webhooks[].createdAtstringrequireddate-time
webhooks[].updatedAtstringrequireddate-time

Errors#

Every error is {"error":{"code","message","hint","docUrl","requestId"}}: branch on code. See Errors.

StatusCodeMeaning
401unauthorizedNo credentials, or the API key or session is invalid or revoked.
403forbiddenThe caller is authenticated but may not do this (wrong role, or an API key on a human-only endpoint).
404not_foundNo such route, or the resource doesn't exist in your workspace.
500internal_errorSomething went wrong on Logu's side.